Status: Closed   

Priority: Normal   

Category:    

Customer: CARIAD Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ADE

VTB-1932 ;

https://gitlab.com/digitalwerk/solutions/ad

tf_content/adtf_toolboxes/adtf_device_to

olbox/-/issues/369

Department: G3-4 Affected Products: ADTF Device Toolbox 3.3.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: DeviceTB::DirectShow

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Im ADTF2 hatte der DirectShowCapture Filter genauso wie der ImageTransform Filter zwei Properties, um das Bild horizontal bzw.

vertitikal zu spiegeln. Leider hat der ADTF3 Capture Filter das Property nicht mehr und auch den ImageTransform Filter gibt es nicht

mehr.

Könnte man das Feature wieder in den CaptureFilter einbauen, bzw. habt ihr einen Tip, an welcher Stelle das im ADTF2 gemacht

wurde?

Lösung

Könnte man das Feature wieder in den CaptureFilter einbauen [...] ?

hab ein Ticket angelegt, dass hier die Capture Devices erweitert werden sollen:

[ADEVTB-1932] - Add property to flip picture in two axis

[...] bzw. habt ihr einen Tip, an welcher Stelle das im ADTF2 gemacht wurde?

Das Direct Show Device war auch in Device TB 2.x quelloffen:

$(ADTF_DEVICE_TOOLBOX_DIR)/src/plugins/common_directshowcapture

History

#1 - 2021-02-03 16:37 - hidden

- Status changed from New to In Progress

- Topic set to DeviceTB::DirectShow

#3 - 2021-02-10 13:55 - hidden

- Subject changed from [DeviceTB] Demo Direct Show Capture Device misses the "Flip H/V" properties from ADTF2 to Missing properties to flip H/V

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADEVTB-1932

Hi Falk,

Könnte man das Feature wieder in den CaptureFilter einbauen [...] ?
hab ein Ticket angelegt, dass hier die Capture Devices erweitert werden sollen:

[ADEVTB-1932] - Add property to flip picture in two axis

[...] bzw. habt ihr einen Tip, an welcher Stelle das im ADTF2 gemacht wurde?

Das Direct Show Device war auch in Device TB 2.x quelloffen:

$(ADTF_DEVICE_TOOLBOX_DIR)/src/plugins/common_directshowcapture

[...] und auch den ImageTransform Filter gibt es nicht mehr.

 Wurde der Filter nicht im CSO Kontext portiert bei Andreas Siegel (Image Utils TB o.ä.) ?

#4 - 2021-02-10 14:34 - hidden

Hallo Florian,

Danke für die Infos.

Andreas' Image Utils TB hat leider noch keinen Filter mit genau dieser Funktionalität. Und bevor er das extra noch entwickeln lässt, wollte ich auf

diesem Wege anfragen, ob es nicht auch eine Möglichkeit gibt, das Feature der gesamten ADTF-Community zurückzubringen (was mit deinem

ADEVTB-1932 wohl auch geschieht :thumbsup: ).

#5 - 2021-02-10 15:44 - hidden

- Project changed from 30 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#6 - 2021-07-26 13:24 - hidden

- Customer changed from Car.SW Org. to CARIAD

#7 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed

#8 - 2023-10-25 10:00 - hidden

- Product Issue Numbers changed from https://www.cip.audi.de/jira/browse/ADEVTB-1932 to https://www.cip.audi.de/jira/browse/ADEVTB-1932 ;

https://gitlab.com/digitalwerk/solutions/adtf_content/adtf_toolboxes/adtf_device_toolbox/-/issues/369
